# autor: taoke
# time : 2021/10/11 11:05
"""
基础数据管理

"""
import allure,xlrd,pytest
from config import *
from common.utils.getExcelData import get_excelData
from common.tools import request_main

@allure.feature("企业端-基础数据管理")
class TestEnterpriseArchives( ):
    workBook = xlrd.open_workbook(f'{BaseConfig.root_path}/test_case_data/safe_transportation/qyd_baseData.xlsx')
    @allure.story("单接口用例")
    @allure.title("{inData[testPoint]}")
    @allure.description("适用单接口")
    @pytest.mark.parametrize("inData", get_excelData(workBook, '基础数据管理', 'common'))
    def test_common(self, inData):
        # 请求
        res = request_main(url=f"{SafeTransportationConfig().test_bmy_host}{inData['url']}",
                           headers=inData['headers'],
                           method=inData['method'],
                           data = inData['reqData'])
        allure.attach(f"{res}", "响应结果", allure.attachment_type.TEXT)
        # 断言
        assert res['code'] == inData['expectData']['code']


if __name__ == '__main__':
    for one in os.listdir('../../../report/tmp'):
        if 'json' or 'txt' in one:
            os.remove(f'../../../report/tmp/{one}')
    pytest.main(['test_baseData.py', '-s', '--alluredir','../../../report/tmp'])
    # 启动默认浏览器打开报告
    os.system('allure serve ../../../report/tmp') 